# Module api_monitor

- Description
- Function Index
- Function Details

API for monitoring individual nodes and the whole ring.

Copyright © 2011-2015 Zuse Institute Berlin

Version: $Id$

Authors: Thorsten Schuett (`schuett@zib.de`).

## Description

API for monitoring individual nodes and the whole ring

## Function Index

get_node_info/0 | Gets some information about the current Erlang node.
get_node_performance/0 |
get_service_info/0 |
get_service_performance/0 |

## Function Details

### get_node_info/0

    get_node_info() ->
                     [{scalaris_version | erlang_version,
                       nonempty_string()} |
                      {dht_nodes, non_neg_integer()},
                      ...]

Gets some information about the current Erlang node. Note: The list of returned tuples may grow in future versions; do not expect that only the given values are returned!

### get_node_performance/0

    get_node_performance() -> list()

### get_service_info/0

    get_service_info() -> list()

### get_service_performance/0

    get_service_performance() -> list()

Generated by EDoc, Feb 29 2016, 16:12:17.